Bug 460377 - PS3 graphical UI freezes
PS3 graphical UI freezes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
ppc64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-27 16:42 EDT by Stefan Seefeld
Modified: 2009-07-14 10:21 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:21:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Seefeld 2008-08-27 16:42:17 EDT
Description of problem:

The mouse and keyboard become unresponsive whenever I plug in my USB (logitech Z10) speakers. (I still can connect and log into the machine through the network.)


Version-Release number of selected component (if applicable):

I'm not sure what exactly to report here, as this may be a kernel problem, or something else. I'v been seeing this problem with Fedora 8, though eventually it disappeared. Since the upgrade to Fedora 9 I'm seeing it each time I try using the USB speakers. My current kernel is 2.6.25-14.fc9.ppc64. Please let me know if you want other package versions reported, too.

How reproducible:

This happens reliably.

Steps to Reproduce:

1. Log into my account, either using KDE or Gnome. With KDE I eventually get
a popup window informing me that Proton wasn't able to use some audio device, using the PS3 internal one instead.
2. I plug in my USB Logitech Z10 speakers. This triggers the same popup, informing me that the system is switching to the Logitech speakers as that has precedence.
3. Some moments later mouse and keyboard stop working. Applications keep running, e.g. the clock keeps updating its time display, and I can connect via the network.


Additional info:

I'm not sure what is of interest. Please ask.

Thanks !
Comment 1 Stefan Seefeld 2008-08-28 09:48:47 EDT
Here is some more info:

I logged into the machine ('hydra') and watched the content of /log/var/messages while plugging in the USB speakers. Here are some relevant lines:

Aug 28 09:45:49 hydra kernel: ps3-ohci-driver sb_06: USB HC takeover failed!  (BIOS/SMM bug)
Aug 28 09:45:49 hydra kernel: ps3-ohci-driver sb_06: USB HC reset timed out!
Aug 28 09:45:49 hydra kernel: ps3-ohci-driver sb_06: can't restart, -1
Aug 28 09:45:49 hydra kernel: usb usb3: root hub lost power or was reset
Aug 28 09:45:49 hydra kernel: ps3-ohci-driver sb_06: HC died; cleaning up

Thanks,
            Stefan
Comment 2 Stefan Seefeld 2008-09-02 17:30:12 EDT
And even more data:

Googling around suggests upgrading the BIOS / firmware might help. I used to run with the PS3 firmware version 2.10, and this morning upgraded to 2.42. This doesn't appear to make a difference.
Comment 3 Chuck Ebbert 2008-09-21 20:47:20 EDT
Please try kernel 2.6.26.3-29 and report back whether that one works.
Comment 4 Stefan Seefeld 2008-09-21 21:00:58 EDT
I'm using 2.6.26.3-29 right now, and see the exact same behavior.
Comment 5 Stefan Seefeld 2008-10-05 13:57:23 EDT
Ping ? Is there anything I could do to help track the problem down ? This issue renders the machine almost unusable to me, as I planned to use it for mostly multi-media-only purposes.

Thanks,
        Stefan
Comment 6 Bug Zapper 2009-06-09 22:33:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 10:21:04 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.